data:extend(
  {
  {
    type = "item",
    name = "deepdrill",
    icon = "__druglab__/graphics/icons/deepdrill.png",
    flags = {"goes-to-quickbar"},
    subgroup = "drug-equipment",
    order = "f[deepdrill]",
    place_result = "deepdrill",
    stack_size = 10,
  },
  {
    type = "assembling-machine",
    name = "deepdrill",
    icon = "__druglab__/graphics/icons/deepdrill.png",
    flags = {"placeable-neutral","player-creation"},
    minable = {mining_time = 1, result = "deepdrill"},
	fast_replaceable_group = "deepdrill",
    max_health = 300,
    corpse = "big-remnants",
    dying_explosion = "medium-explosion",
    collision_box = {{-1.9, -1.9}, {1.9, 1.9}},
    selection_box = {{-1.9, -1.9}, {1.9, 1.9}},
    module_specification =
    {
      module_slots = 1
    },
    allowed_effects = {"consumption", "pollution", "productivity"},
    crafting_categories = {"deepdrill"},
    crafting_speed = 1.5,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      emissions = 0.03 / 3.5
    },
    energy_usage = "125kW",
    ingredient_count = 4,
    animation ={
	layers={
    {
        filename = "__druglab__/graphics/entity/deepdrill/deepdrill.png",
        width = 256,
        height = 256,
		line_length = 5,
        frame_count = 25,
        shift = {0, 0},
		animation_speed = 0.1,
    },
	}
	},
     vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    working_sound =
    {
      sound = { filename = "__druglab__/sound/tunnellight.ogg" },
      idle_sound = { filename = "__druglab__/sound/tunnellight.ogg", volume = 0.4 },
      apparent_volume = 2.9,
    },
    fluid_boxes =
    {
      {
        production_type = "input",
        pipe_covers = pipecoverspictures(),
		base_area = 10,
        base_level = -1,
        pipe_connections = {{ type="input", position = {1.5, 2.5} }}
      },
      {
        production_type = "output",
        pipe_covers = pipecoverspictures(),
        base_level = 1,
        pipe_connections = {{ position = {-0.5, 2.5} }}
      }
    },
    pipe_covers = pipecoverspictures(),
	},
    }
    
   
)